levelshots/hoc_b1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/hoc_b1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/hoc_b1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/hoc_b1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

//water
textures/hoc/water
{
	qer_editorimage textures/editor/sky.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	// deformVertexes wave 1317 sin 0 1.5 0 0.30
	deformVertexes wave 5000 sin 0 1.5 0 0.30
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/hoc/water_bright.tga
		// map textures/liquids_sd/seawall_foam.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/hoc/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0 0.085
		depthwrite
	}
	{
		map textures/hoc/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}

textures/hoc/xflame2_2000_nolick
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 2000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

textures/hoc/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.4 0.4 0.4 ) 4500
}

textures/hoc/sky
{
	qer_editorimage textures/editor/sky.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 85 3
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	q3map_sunExt 255 244 220 140 140 8 1 32
	// q3map_sun 1 .96 .87 140 140 8
	
	q3map_nofog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	nocompress
	
 
	sunshader textures/skies_sd/batterysunfog
 	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/hoc/grass
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_foliage models/foliage/grassfoliage1a.md3 0.5 48 0.0025 2
	q3map_foliage models/foliage/grassfoliage2a.md3 0.9 48 0.0025 2
	q3map_foliage models/foliage/grassfoliage3a.md3 0.75 48 0.0025 2
	q3map_foliage models/mapobjects/tree_temperate_sd/bush_temperate4.md3 1 48 0.00025 2
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/master_grass_dirt3.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/grass_nofoliage
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/master_grass_dirt3.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/cobblestone
{
	qer_editorimage textures/castle_floor/floor_c04c.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/castle_floor/floor_c04c.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcMod scale .5 .5
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/sand
{
	qer_editorimage textures/stone/mxrock4c.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/stone/mxrock4c.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/minefield
{
	qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/sand_patchnoise.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/beach
{
	qer_editorimage textures/temperate_sd/sand_wave_bright.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/sand_wave_bright.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/rock
{
	qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/rock_ugly_brown.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/road
{
	qer_editorimage textures/temperate_sd/dirt_m03icmp_brown.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/temperate_sd/dirt_m03icmp_brown.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcMod scale .5 .5
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/field
{
	qer_editorimage textures/ws3_terrain/acker.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_foliage models/mapobjects/plants_sd/mil.md3 0.9 48 0.0025 2
	q3map_foliage models/mapobjects/plants_sd/catail.md3 0.8 48 0.0025 2
	//q3map_tcMod .5 .5
   {
		map textures/ws3_terrain/acker.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcMod scale .5 .5
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/field_nofoliage
{
	qer_editorimage textures/ws3_terrain/acker.tga
	// q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	//q3map_tcMod .5 .5
   {
		map textures/ws3_terrain/acker.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		tcMod scale .5 .5
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}




//========================================

textures/hoc/grass_ivector
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
   {
		map textures/temperate_sd/master_grass_dirt3.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/sand_ivector
{
	qer_editorimage textures/stone/mxrock4c.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
   {
		map textures/stone/mxrock4c.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/rock_ivector
{
	qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
   {
		map textures/temperate_sd/rock_ugly_brown.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/rock_ivectorX
{
	qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
   {
		map textures/temperate_sd/rock_ugly_brown.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

textures/hoc/rock_ivectorY
{
	qer_editorimage textures/temperate_sd/rock_ugly_brown.tga
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
   {
		map textures/temperate_sd/rock_ugly_brown.tga	// PRIMARY (0%)
		rgbGen identity
   }
   {
		map textures/temperate_sd/rocky_sand.tga		 // SECONDARY (100%)
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
   }
   {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
   }
}

models/mapobjects/vehicles/mercedes_1

{
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcGen environment 
	}
	{
		map models/mapobjects/vehicles/mercedes_1.TGA
		blendfunc blend
		rgbGen lightingdiffuse
	}
}

models/mapobjects/vehicles/mercedes_1v

{
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		tcGen environment 
	}
	{
		map models/mapobjects/vehicles/mercedes_1.TGA
		blendfunc blend
		rgbGen vertex
	}
}
models/mapobjects/vehicles/car_shadow
{
	surfaceparm metalsteps		
	cull twosided
	{
		map models/mapobjects/vehicles/car_shadow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}

}

models/mapobjects/vehicles/glass
{
	surfaceparm metalsteps		
	cull twosided
	{
		map models/mapobjects/vehicles/glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}

}

models/mapobjects/vehicles/glass2
{
	surfaceparm metalsteps		
	cull twosided
	{
		map models/mapobjects/vehicles/glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}

}