speakerScript
{
	speakerDef {
		noise "sound/world/fire_01.wav"
		origin 3040 -7728 792
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/radio_allies.wav"
		origin 3844 5016 548
		targetname "allied_cp"
		looped "off"
		broadcast "nopvs"
		volume 32
		range 1250
	}
	
	speakerDef {
		noise "sound/world/radio_axis.wav"
		origin 3844 5016 548
		targetname "axis_cp"
		looped "off"
		broadcast "nopvs"
		volume 32
		range 1250
	}
	
	speakerDef {
		noise "sound/world/radio_axis.wav"
		origin 2032 -7352 812
		targetname "rear_cp"
		looped "off"
		broadcast "nopvs"
		volume 32
		range 1250
	}
	
	// === WIND HINTERLAND ===
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 4528 -2464 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 3368 -3232 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 2352 -4176 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 4040 -4536 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 3728 -6296 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 2112 -6912 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 1168 -7048 1264
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_forest.wav"
		origin 400 -5672 1048
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	// === WIND CLIFF ===
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 3584 4432 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 3120 2368 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 5080 3680 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 5904 2528 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 7216 1216 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 4624 832 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 2800 992 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 1152 1328 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_mountain.wav"
		origin 1128 2896 1104
		looped "on"
		broadcast "no"
		volume 255
		range 1000
	}
	
	// === TRANSFORMERS ===
	
	speakerDef {
		noise "sound/world/transformer.wav"
		origin 3392 4904 592
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/transformer.wav"
		origin 7344 744 664
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/transformer.wav"
		origin -1152 512 664
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/transformer.wav"
		origin 2864 368 800
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/transformer.wav"
		origin 2864 -72 800
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	speakerDef {
		noise "sound/world/machine_01.wav"
		origin 2864 232 800
		looped "on"
		broadcast "no"
		volume 255
		range 500
	}
	
	// === WIND ===
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 8392 2232 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 7696 3016 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 7344 4328 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 5440 5232 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 1864 5504 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin 552 5184 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin -400 3448 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/wind_ocean.wav"
		origin -1408 2184 456
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	// === WATER ===
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 8392 2232 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 7696 3016 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 7344 4328 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 5440 5232 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 1864 5504 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin 552 5184 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin -400 3448 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	speakerDef {
		noise "sound/world/water_02.wav"
		origin -1408 2184 -112
		looped "on"
		broadcast "no"
		volume 300
		range 1000
	}
	
	// === Radio Call ===
	
	speakerDef {
		noise "sound/world/alarm_02.wav"
		origin 3056 -176 1960
		looped "no"
		broadcast "nopvs"
		volume 1000
		targetname "alarm"
		range 10000
	}
	
	// speakerDef {
		// noise "sound/world/radio_static_01.wav"
		// origin 2832 200 968
		// looped "off"
		// broadcast "no"
		// volume 500
		// targetname "radio_static"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_artdenied_a.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "aborted"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/941a.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "call_airstrike"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/27a.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "where_to"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/37a.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "clear_mines"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/81d.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "right_away"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_airstrike_b.wav"
		// origin 2832 200 968
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "on_my_way"
		// range 1000
	// }
	
	// ==================
	
	// speakerDef {
		// noise "sound/world/radio_static_01.wav"
		// origin 3248 320 896
		// looped "off"
		// broadcast "no"
		// volume 500
		// targetname "radio_static"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_artdenied_a.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "aborted"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/941a.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "call_airstrike"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/27a.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "where_to"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/37a.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "clear_mines"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/81d.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "right_away"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_airstrike_b.wav"
		// origin 3248 320 896
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "on_my_way"
		// range 1000
	// }
	
	// ==================
	
	// speakerDef {
		// noise "sound/world/radio_static_01.wav"
		// origin 2928 2208 1032
		// looped "off"
		// broadcast "no"
		// volume 500
		// targetname "radio_static"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_artdenied_a.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "aborted"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/941a.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "call_airstrike"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/27a.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "where_to"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/37a.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "clear_mines"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/81d.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "right_away"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_airstrike_b.wav"
		// origin 2928 2208 1032
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "on_my_way"
		// range 1000
	// }
	
	// ==================
	
	// speakerDef {
		// noise "sound/world/radio_static_01.wav"
		// origin 3624 4504 668
		// looped "off"
		// broadcast "no"
		// volume 500
		// targetname "radio_static"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_artdenied_a.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "aborted"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/941a.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "call_airstrike"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/27a.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "where_to"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/37a.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "clear_mines"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/chat/allies/81d.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "right_away"
		// range 1000
	// }
	
	// speakerDef {
		// noise "sound/vo/general/allies/hq_airstrike_b.wav"
		// origin 3624 4504 668
		// looped "no"
		// broadcast "no"
		// volume 256
		// targetname "on_my_way"
		// range 1000
	// }
}